<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <meta name="decorator" content="base" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiadmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/static/css/reset.css">
</head>
<body class="">
<div class="layui-fluid ">
    <div class="layui-card pl-30 pr-30 pt-10 over">
        <form class="layui-form" action="" lay-filter="component-form-group" id="orderForm">
            <div class="layui-card-body layui-col-xs11">

                <div class="layui-card">
                    <input type="hidden" name="id" id="orderId" value="${order.id}">
                    <div class="site-demo-button siteOrderButten">
                        <button type="button" class="layui-btn layui-btn-primary ">基本信息</button>
                        <button type="button" class="layui-btn ">过程信息</button>
                    </div>
                </div>
                <div class="layui-card jibenxinxi">
                    <div class="layui-card-body ">
                        <div class="layui-row layui-col-space12 layui-form-item">
                            <div class="layui-col-lg2 layui-col-sm4">
                                <label class="layui-form-label">工单编号：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="number" id="number" lay-verify="required" placeholder=""
                                           autocomplete="off" class="layui-input layui-bg-gray" value="${order.number}" disabled>
                                </div>
                            </div>
                            <div class="layui-col-lg2 layui-col-sm3" lay-filter="component-form-element">
                                <label class="layui-form-label"><i class="mark">*</i>信息来源：</label>
                                <div class="layui-input-block">
                                    <select name="orderType" id="orderType" lay-verify="required" class=" layui-bg-gray" disabled>
                                        <option value="">请选择</option>
                                        <option value="1" <c:if test="${order.orderType eq 1}">selected</c:if>>用户</option>
                                        <option value="2" <c:if test="${order.orderType eq 2}">selected</c:if>>平台录入</option>
                                        <option value="4" <c:if test="${order.orderType eq 4}">selected</c:if>>电子商务</option>
                                    </select>
                                </div>
                            </div>

                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label">服务措施：</label>
                                <div class="layui-input-block">
                                    <select name="serviceMeasures" id="serviceMeasures" class="layui-bg-gray" lay-filter="aihao" lay-search disabled>
                                        <option value="">请选择</option>
                                        <c:forEach items="${serviceMeasures}" var="measures">
                                            <option value="${measures.columns.service_measures}" <c:if test="${measures.columns.service_measures eq order.serviceMeasures}">selected</c:if>> ${measures.columns.service_measures}</option>
                                        </c:forEach>
                                    </select>
                                </div>
                            </div>
                            <div class="layui-col-lg2 layui-col-sm3">
                                <label class="layui-form-label"><i class="mark">*</i>容量：</label>
                                <div class="layui-input-block">
                                    <input type="text" name="applianceCapacity" id="applianceCapacity" lay-verify="required" placeholder=""
                                           autocomplete="off" class="layui-input layui-bg-gray" value="${order.applianceCapacity}" disabled>   <span class="pos-a h-32 lh-32 layui-span-unit" >KW</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="layui-card jibenxinxi ">
                    <div class="layui-card-header pt-10">
                        <h1 class="title">用户信息</h1>
                    </div>
                    <div class="layui-card-body ">
                        <div class="layui-form" action="" lay-filter="component-form-element">
                            <div class="layui-row layui-col-space12 layui-form-item">

                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label"><i class="mark">*</i>用户姓名：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="customerName" id="customerName" lay-verify="required" placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.customerName}" disabled>
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm4" style="position: relative">
                                    <label class="layui-form-label"><i class="mark">*</i>联系方式1：</label>
                                    <div class="layui-input-block pr-30">
                                        <input type="text" name="customerMobile" lay-verify="required" class="layui-input layui-bg-gray" value="${order.customerMobile}" disabled>
                                    </div>
                                </div>
                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label">联系方式2：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="customerTelephone" id="customerTelephone"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.customerTelephone}" disabled>
                                    </div>
                                </div>
                                <div class="layui-col-lg8">
                                    <div class="layui-col-xs12 layui-form-item">
                                        <label class="layui-form-label"><i class="mark">*</i>用户地址：</label>
                                        <div class="layui-input-block">
                                            <div class="layui-col-lg3 layui-col-sm3 pr-30">
                                                <select name="province" id="province" lay-verify="required" lay-filter="province" lay-search disabled>
                                                    <option value=""></option>
                                                    <c:forEach items="${pros}" var="pro">
                                                        <option value="${pro.columns.ProvinceName}" <c:if test="${order.province eq pro.columns.ProvinceName}">selected</c:if> title="${pro.columns.ProvinceID }">${pro.columns.ProvinceName}</option>
                                                    </c:forEach>
                                                </select>
                                            </div>
                                            <div class="layui-col-lg2 layui-col-sm3 pr-30">
                                                <select name="city" id="city" lay-verify="required" lay-filter="city" lay-search disabled>
                                                    <option value="">请选择</option>
                                                    <c:forEach items="${faccitys}" var="city">
                                                        <option value="${city.columns.CityName}" <c:if test="${order.city eq city.columns.CityName}">selected</c:if> title="${city.columns.CityID}">${city.columns.CityName}</option>
                                                    </c:forEach>
                                                </select>
                                            </div>
                                            <div class="layui-col-lg2 layui-col-sm3 pr-30">
                                                <select name="area" id="area" lay-verify="required" lay-filter="aihao" lay-search disabled>
                                                    <option value="">请选择</option>
                                                    <c:forEach items="${areas}" var="area">
                                                        <option value="${area.columns.DistrictName}" <c:if test="${order.area eq area.columns.DistrictName}">selected</c:if> title="${area.columns.DistrictID}">${area.columns.DistrictName}</option>
                                                    </c:forEach>
                                                </select>
                                            </div>
                                            <div class="layui-col-lg6 layui-col-sm3">
                                                <input type="text" name="customerAddress" lay-verify="required" placeholder=""
                                                       autocomplete="off" class="layui-input layui-col-lg2 layui-bg-gray" value="${order.customerAddress}" disabled>
                                            </div>
                                        </div>

                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="layui-card jibenxinxi">
                    <div class="layui-card-header pt-10">
                        <h1 class="title">服务信息</h1>
                    </div>
                    <div class="layui-card-body">
                        <div class="layui-form" action="" lay-filter="component-form-element">
                            <div class="layui-row layui-col-space12 layui-form-item">

                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label">电站名称：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="powerStationName" id="powerStationName"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.powerStationName}" disabled>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">设备类型：</label>
                                    <div class="layui-input-block">
                                        <select name="applianceCategory" id="applianceCategory" disabled>
                                            <option value="">请选择</option>
                                            <option value="光伏组件" <c:if test="${order.applianceCategory eq '光伏组件'}">selected</c:if>>光伏组件</option>
                                            <option value="逆变器" <c:if test="${order.applianceCategory eq '逆变器'}">selected</c:if>>逆变器</option>
                                            <option value="通讯模块"  <c:if test="${order.applianceCategory eq '通讯模块'}">selected</c:if>>通讯模块</option>
                                            <option value="并网箱"  <c:if test="${order.applianceCategory eq '并网箱'}">selected</c:if>>并网箱</option>
                                            <option value="线缆"  <c:if test="${order.applianceCategory eq '线缆'}">selected</c:if>>线缆</option>
                                            <option value="配件"  <c:if test="${order.applianceCategory eq '配件'}">selected</c:if>>配件</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm4">
                                    <label class="layui-form-label">设备型号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceModel" id="applianceModel"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.applianceModel}" disabled >
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">投运时间：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceBuyTime" id="applianceBuyTime"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray"  value="<fmt:formatDate value="${order.applianceBuyTime}" pattern="yyyy-MM-dd" />" disabled>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">设备品牌：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceBrand" id="applianceBrand"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.applianceBrand}" disabled>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">设备序列号：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="applianceMachineCode" id="applianceMachineCode"   placeholder="" disabled
                                               autocomplete="off" class="layui-input layui-bg-gray" value="${order.applianceMachineCode}">
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">保修类型：</label>
                                    <div class="layui-input-block">
                                        <select  name="warrantyType" id="warrantyType"  lay-filter="aihao" class="layui-bg-gray" disabled>
                                            <option value="">请选择</option>
                                            <option value="1" <c:if test="${order.warrantyType eq 1}">selected</c:if> >保内</option>
                                            <option value="2" <c:if test="${order.warrantyType eq 2}">selected</c:if> >保外</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">预约时间：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="promiseTime"  id="promiseTime"  placeholder="" disabled
                                               autocomplete="off" class="layui-input layui-bg-gray" value="<fmt:formatDate value="${order.promiseTime}" pattern="yyyy-MM-dd" />">
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">时间要求：</label>
                                    <div class="layui-input-block">
                                        <select  name="promiseLimit" id="promiseLimit"  lay-filter="aihao" class="layui-bg-gray" disabled>
                                            <option value="">请选择</option>
                                            <c:forEach items="${promiseLimit}" var="timeList">
                                                <option value="${timeList}" <c:if test="${timeList == order.promiseLimit}">selected</c:if>>${timeList}</option>
                                            </c:forEach>
                                        </select>
                                    </div>
                                </div>

                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">销售商：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="pleaseReferMall" id="pleaseReferMall"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" disabled value="${order.pleaseReferMall}" >
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm3">
                                    <label class="layui-form-label">发票号码：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="invoice"  id="invoice"  placeholder=""
                                               autocomplete="off" class="layui-input layui-bg-gray" disabled value="${order.invoice}">
                                    </div>
                                </div>

                                <div class="layui-col-lg3 layui-col-sm3">
                                    <label class="layui-form-label">重要程度：</label>
                                    <div class="layui-input-block">
                                        <select  name="level" id="level" class="layui-bg-gray" disabled>
                                            <option value="">请选择</option>
                                            <option value="1" <c:if test="${1 == order.level}">selected</c:if>>紧急</option>
                                            <option value="2" <c:if test="${2 == order.level}">selected</c:if>>一般</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="layui-col-lg2 layui-col-sm4">
                                    <label class="layui-form-label"><i class="red">*</i>报单时间：</label>
                                    <div class="layui-input-block">
                                        <input type="text" name="repairTime"  id="repairTime"
                                               autocomplete="off" class="layui-input layui-bg-gray" disabled value="<fmt:formatDate value="${order.repairTime}" pattern="yyyy-MM-dd HH:mm:ss" />">
                                    </div>
                                </div>
                                <div class="layui-col-xs12">
                                    <label class="layui-form-label">现场描述：</label>
                                    <div class="layui-input-block">
                                        <textarea name="remarks" id="remarks" placeholder="" class="layui-textarea layui-bg-gray" lay-verify="required" disabled>${order.remarks}</textarea>
                                    </div>
                                </div>
                                <div class="layui-col-xs12 layui-form-item">
                                    <label class="layui-form-label">附图：</label>
                                    <div class="layui-input-block">
                                        <div id="imgsDiv">
                                            <c:forEach var="image" items="${images}">
                                                <div  class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon  layui-hide" onclick="delImg(this)"></span>
                                                    <img src="${commonStaticImgPath}${image}"  height="700" width="1200"/>
                                                    <input type="hidden" class="imgPicker" value="${image}">
                                                </div>
                                            </c:forEach>
                                        </div>
                                        <div class="upload-container layui-hide" id="uploader">
                                            <img src="" alt="img placeholder" id="imgsAdd">
                                        </div>
                                    </div>

                                </div>
                                <div class="layui-col-xs12 layui-form-item layui-hide tishi">
                                    <label class="layui-form-label"></label>
                                    <div class="layui-input-block" style="color: #cc2a2c">
                                        提示：最多可上传4张照片
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="layui-card processInformation layui-hide">
                    <ul class="layui-timeline guoChen">



                    </ul>
                </div>
            </div>
            <div class="layui-card-body layui-col-xs1 right-btn pr-10">
                <div class="layui-btn-container">
                    <sfTags:pagePermission authFlag="QDSAZD_XGGD_B" html='<button type="button" class="layui-btn xiugaiOrder" >编辑</button>'/>
                    <button type="button" class="layui-btn layui-hide uodateorder" >保存</button>
                    <button type="button" class="layui-btn layui-hide cancelorder" >取消</button>
                </div>
            </div>
        </form>
    </div>
</div>

<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script>
    var imgsCount="${imgNumber}";
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'layedit', 'laydate' ,'upload','jquery','layer'], function () {
        $ = layui.$
            , admin = layui.admin
            , element = layui.element
            , form = layui.form
            , layer = layui.layer
            ,laydate = layui.laydate;
        var  upload = layui.upload;

        //执行实例
        var uploadInst = upload.render({
            elem: '#uploader' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            ,before: function(obj){
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {

                });
            }
            , done: function (res) {
                //上传完毕回调
                addImg(res.path);
            }
            , error: function () {
                //请求异常回调
            }
        });

        $(".mark").addClass("layui-hide");
        $(".red").addClass("layui-hide");

        function addImg(data){
            imgsCount++;
            if (imgsCount >= 4) {
                $("#uploader").addClass("layui-hide");
            }else{
                $("#uploader").removeClass("layui-hide");
            }
            var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delImg(this)"></span>';
            html += '<img src="${commonStaticImgPath}'+data+'" height="700" width="1200"/>';
            html += '<input type="hidden" class="imgPicker" value="'+data+'"/> </div>';
            $("#imgsDiv").append(html);
        }


        //日期
        laydate.render({
            elem: '#applianceBuyTime'
            ,trigger: 'click'
        });
        //预约时间
        laydate.render({
            elem: '#promiseTime'
            ,trigger: 'click'
        });
       /* laydate.render({
            elem:'#repairTime'
            ,trigger: 'click'
            ,type: 'datetime'
        })*/
        form.render(null, 'component-form-element');
        //自定义验证规则
        form.verify({
            title: function(value){
                if(value.length < 5){
                    return '标题至少得5个字符啊';
                }
            }
            ,pass: [
                /^[\S]{6,12}$/
                ,'密码必须6到12位，且不能出现空格'
            ]
            ,content: function(value){
                layedit.sync(editIndex);
            }
        });
        element.render('breadcrumb', 'breadcrumb');

        form.on('select(province)', function(data){
            var province = $(data.elem).find("option:selected").attr("title");
            provinceOrder(province);
        });
        form.on('select(city)', function(data){
            var city = $(data.elem).find("option:selected").attr("title");
            cityOrder(city);

        });

        var siteId = "${order.siteId}";

        function provinceOrder(province){
            $("#city").empty();
            $("#area").empty();
            if(isBlank(province)){
                $("#city").append("<option value=''>请选择</option>");
                return "";
            }
            $.ajax({
                type:"POST",
                url:"${ctx}/main/redirect/getCitysByProId",
                data:{
                    province:province
                },
                success:function(result){
                    if(result =="205"){
                        layer.msg("暂无数据!")
                        return
                    }
                    var html =" <option value=''>请选择</option>";
                    for(var i=0;i<result.length;i++){
                        var city = result[i];
                        html =html+ '<option value="'+city.columns.CityName+'" title="'+city.columns.CityID+'">'+city.columns.CityName+'</option>';
                    }
                    $("#city").append(html);
                    form.render('select');
                }
            });

        }

        function cityOrder(city,arean){
            $("#area").empty()
            if(isBlank(city)){
                $("#area").append("<option value=''>请选择</option>");
                return "";
            }
            $.ajax({
                type:"POST",
                url:"${ctx}/main/redirect/getAreaByCityId",
                data:{
                    city:city
                },
                success:function(result){
                    if(result =="205"){
                        layer.msg("暂无数据!")
                        return
                    }
                    var html ="<option value=''>请选择</option>";
                    for(var i=0;i<result.length;i++){
                        var area = result[i];
                        html =html+ '<option value="'+area.columns.DistrictName+'" >'+area.columns.DistrictName+'</option>';
                    }
                    $("#area").append(html);
                    if(!isBlank(arean)){
                        $("#area").val(arean)
                    }

                    form.render('select');
                }
            });

        }


        var aa = $('.siteOrderButten button');
        var orderId = $("#orderId").val();
        var sign = $("#sign").val();
        var fittingFlag = $("#fittingFlag").val();
        aa.click(function () {
            aa.removeClass("layui-btn-primary");
            $(this).addClass("layui-btn-primary");
            var index=aa.index(this);
            if(index == 1){
                //过程信息
                $(".processInformation").removeClass("layui-hide");
                $(".jibenxinxi").addClass("layui-hide");
                $(".logsticInfoNew").addClass("layui-hide");
                var html = $.trim($(".layui-timeline").html()) ;
                guocheng(orderId);
            }else{
                $(".jibenxinxi").removeClass("layui-hide");
                $(".processInformation").addClass("layui-hide");
                $(".logsticInfoNew").addClass("layui-hide");
            }
        })

        $(".xiugaiOrder").click(function(){
            $(".mark").removeClass("layui-hide");
            $(".red").removeClass("layui-hide");
            $(this).addClass("layui-hide");
            $(".uodateorder").removeClass("layui-hide");
            $(".cancelorder").removeClass("layui-hide");
            $("input").removeClass("layui-bg-gray");
            $("input").removeClass("layui-disabled");
            $("input").removeAttr("disabled");
            $("select").removeAttr("disabled");
            $("textarea").removeClass("layui-bg-gray");
            $("#remarks").attr("disabled",false);
            $("#number").addClass("layui-bg-gray").attr("disabled",true);
            $("#serviceType").addClass("layui-bg-gray").attr("disabled",true);
            $("#repairTime").addClass("layui-bg-gray").attr("disabled",true);
            $("#imgsDiv span").removeClass("layui-hide");
            if(imgsCount<4){
                $("#uploader").removeClass("layui-hide")
            }
            $("#warrantyType").val("1").attr("disabled",true);

            $(".tishi").removeClass("layui-hide");
            form.render('select');
        })
        //保存
        $(".uodateorder").click(function(){
            //验证不必填项的值格式
            var shuzi = /[0-9]*[1-9][0-9]*$/;
            var orderType=$("#orderType").val();
            var applianceCapacity=$("#applianceCapacity").val();  //容量
            if(isBlank(orderType)){
                layer.msg("请输入信息来源!",{icon:2});
                return false
            }
            if(isBlank(applianceCapacity)){
                layer.msg("请输入容量!",{icon:2});
                return false;
            }
            var serviceMeasures=$("#serviceMeasures").val()  //服务措施
            var customerName = $("#customerName").val();//用户姓名
            var customerMobile = $("input[name=customerMobile]").val();//联系方式1
            var customerTelephone = $("input[name=customerTelephone]").val();//联系方式2
            var province = $("#province").find("option:selected").text();//省
            var city = $("#city").find("option:selected").text();//市
            var area = $("#area").find("option:selected").text();//区
            var customerAddress = $("input[name=customerAddress]").val();//用户地址
            if(isBlank(customerName)){
                layer.msg("请输入用户姓名!",{icon:2});
                return false
            }
            if (isBlank(customerMobile)) {
                layer.msg("请输入联系方式",{icon:2});
                return
            } else if (!isPhoneNo($.trim(customerMobile))) {
                layer.msg("手机号码格式不正确",{icon:2});
                return
            } else if (isBlank(customerAddress)) {
                layer.msg("请输入详细地址",{icon:2});
                return
            }
            if(isBlank(province)){
                layer.msg("请输入省",{icon:2});
                return
            }
            if(isBlank(city)){
                layer.msg("请输入市",{icon:2});
                return
            }
            if(isBlank(area)){
                layer.msg("请输入区",{icon:2});
                return
            }
            var powerStationName=$("#powerStationName").val();//电站名称
            var applianceCategory=$("#applianceCategory").val(); //设备类型
            var applianceModel=$("#applianceModel").val();//设备型号
            var applianceBuyTime=$("#applianceBuyTime").val();//投运时间
            var applianceBrand=$("#applianceBrand").val(); //设备品牌
            var applianceMachineCode=$("#applianceMachineCode").val(); //设备序列号
            var warrantyType = $("#warrantyType").find("option:selected").val();//保修类型
            var promiseTime = $("#promiseTime").val();//预约时间  2
            var promiseLimit = $("#promiseLimit").val();//时间要求   3
            var pleaseReferMall = $("#pleaseReferMall").val();//销售商  1
            var invoice=$("#invoice").val(); //发票号码
            var level=$("#level").val();  //重要程度
            var remarks = $("textarea[name=remarks]").val();//故障描述
           /* if (isBlank(remarks)) {
                layer.msg("请输入故障描述",{icon:2});
                return
            }*/
            var imgs = $(".imgPicker");
             /* if (imgs.length == 0) {
                  layer.msg("故障图片不能为空！", {icon: 5, anim: 6});
                  return;
              }*/
            var imgsAppend = '';
            imgs.each(function (index) {
                var img = $(this).val();
                if (!isBlank(img)) {
                    imgsAppend += img + ",";
                }
            });
            /*  var imgsAppend='sfimg02/M00/00/3F/wKgCF11KJ4CAGjysAAKQF2GgG6g23..jpg';*/

            var orderId = "${order.id}";//工单id
            var  order={
                id:orderId,
                applianceCapacity:applianceCapacity,
                serviceMeasures:serviceMeasures,
                orderType:orderType,
                customerName:customerName,
                customerMobile:customerMobile,
                customerTelephone:customerTelephone,
                province:province,
                city:city,
                area:area,
                customerAddress:customerAddress,
                powerStationName:powerStationName,
                applianceCategory:applianceCategory,
                applianceModel:applianceModel,
                applianceBuyTime:applianceBuyTime,
                applianceBrand:applianceBrand,
                applianceMachineCode:applianceMachineCode,
                warrantyType:warrantyType,
                promiseTime:promiseTime,
                promiseLimit:promiseLimit,
                pleaseReferMall:pleaseReferMall,
                invoice:invoice,
                level:level,
                remarks:remarks,
                bdImgs:imgsAppend
            }
            $.ajax({
                url:"${ctx}/order/saveUpdateChannelBusinessOrder",
                type:"post",
                contentType : "application/json;charsetset=UTF-8",
                data:JSON.stringify(order)
                ,success:function (result) {
                    if(result.code == '200'){
                        layer.msg("保存成功",{icon:1,time:1000},function(){
                            window.location.href="${ctx}/order/getChannelBusinessOrderDetail?orderId="+orderId;
                        })
                    }else{
                        layer.msg("保存失败",{icon:2});
                    }
                },error:function () {
                    layer.msg("保存失败",{icon:2});
                }
            })


        })
        //取消
        $(".cancelorder").click(function(){
            $(this).addClass("layui-hide");
            $(".uodateorder").addClass("layui-hide");
            $(".xiugaiOrder").removeClass("layui-hide");

            window.location.reload();

        })


        function searchOrder(orderId) {
            //执行重载
            table.reload('test', {
                page: {
                    curr: 1
                }
            });
        }

        if("${type}" == 2){
            $(".processInformation").removeClass("layui-hide");
            $(".jibenxinxi").addClass("layui-hide");
            $(".logsticInfoNew").addClass("layui-hide");
            guocheng(orderId)
        }



        function guocheng(orderId){
            $.ajax({
                type:"POST",
                url:"${ctx}/order/getOrderDetail",
                data:{
                    orderId:orderId
                },
                success:function(data){
                    if(data!=null){
                        var deatil ="";
                        for(var i =0;i<data.length;i++){
                            deatil += '<li class="layui-timeline-item"><i class="layui-icon layui-timeline-axis"></i>';
                            deatil += '<div class="layui-timeline-content layui-text">';
                            deatil +=' <h4 class="layui-timeline-title">'+data[i].d+'</h4> <p>';
                            deatil += data[i].c+ '  </p> </div> </li>';
                        }
                        $(".guoChen").html(deatil);
                    }else{
                        layer.msg("数据有误！", {icon: 2});
                    }
                }
            });
        }

        // 验证手机号
        function isPhoneNo(phone) {
            var tel = /(^1\d{10}$)|(^(\d{3,4}\-)?\d{5,9}$)/;
            return tel.test($.trim(phone));
        }
    });


    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function delImg(that){
        imgsCount--;
        if (imgsCount < 4) {
            $("#uploader").removeClass("layui-hide");
        }
        $(that).parent().remove();
    }

</script>
</body>
</html>